Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.pattern
Class LocationPathPattern

    java.lang.Object
      org.jaxen.pattern.Pattern
          org.jaxen.pattern.LocationPathPattern

public class LocationPathPattern
extends Pattern

`LocationPathPattern` matches any node using a location path such as A/B/C. The parentPattern and ancestorPattern properties are used to chain location path patterns together

Version:
  $Revision: 1.14 $
Author:
  James Strachan

Field Summary

Fields inherited from class org.jaxen.pattern.Pattern
`ANY_NODE, ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_REFERENCE_NODE, MAX_NODE_TYPE, NAMESPACE_NODE, NO_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE, UNKNOWN_NODE`

Constructor Summary
`LocationPathPattern()`
`LocationPathPattern(NodeTest nodeTest)`

Method Summary
`void` | `addFilter(FilterExpr filter)` Adds a filter to this pattern
`short` | `getMatchType()` Returns the type of node the pattern matches.
`double` | `getPriority()` Returns the default resolution policy of the pattern according to the XSLT conflict resolution rules.
`String` | `getText()` Returns a textual representation of this pattern
`boolean` | `hasAnyNodeTest()`
`boolean` | `isAbsolute()`
`boolean` | `matches(Object node, Context context)`
`void` | `setAbsolute(boolean absolute)`
`void` | `setAncestorPattern(Pattern ancestorPattern)` Adds a pattern for an ancestor of the current context node used in this pattern.
`void` | `setNodeTest(NodeTest nodeTest)` Allows the NodeTest to be set
`void` | `setParentPattern(Pattern parentPattern)` Adds a pattern for the parent of the current context node used in this pattern.
`Pattern` | `simplify()`
`String` | `toString()`

Methods inherited from class org.jaxen.pattern.Pattern
`getMatchesNodeName, getUnionPatterns`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocationPathPattern

    public LocationPathPattern()

### LocationPathPattern

    public LocationPathPattern(NodeTest nodeTest)

Method Detail

### simplify

    public Pattern simplify()

  Overrides:
    `simplify` in class `Pattern`

### addFilter

    public void addFilter(FilterExpr filter)

  Adds a filter to this pattern

### setParentPattern

    public void setParentPattern(Pattern parentPattern)

  Adds a pattern for the parent of the current context node used in this pattern.

### setAncestorPattern

    public void setAncestorPattern(Pattern ancestorPattern)

  Adds a pattern for an ancestor of the current context node used in this pattern.

### setNodeTest

    public void setNodeTest(NodeTest nodeTest)
                     throws JaxenException

  Allows the NodeTest to be set

  Throws:
    `JaxenException`

### matches

    public boolean matches(Object node,
                           Context context)
                    throws JaxenException

  Specified by:
    `matches` in class `Pattern`
  Parameters:
    `node` - ????
    `context` - ????
  Returns:
    true if the pattern matches the given node
  Throws:
    `JaxenException` - if ????

### getPriority

    public double getPriority()

  Description copied from class: `Pattern`
  Returns the default resolution policy of the pattern according to the XSLT conflict resolution rules.

  Overrides:
    `getPriority` in class `Pattern`
  Returns:
    0.5; the default priority defined in XSLT
  See Also:
    Section 5.5 of the XSLT specification

### getMatchType

    public short getMatchType()

  Description copied from class: `Pattern`
  Returns the type of node the pattern matches.

  Overrides:
    `getMatchType` in class `Pattern`
  Returns:
    `ANY_NODE` unless overridden

### getText

    public String getText()

  Description copied from class: `Pattern`
  Returns a textual representation of this pattern

  Specified by:
    `getText` in class `Pattern`
  Returns:
    the usual string form of this XSLT pattern

### toString

    public String toString()

### isAbsolute

    public boolean isAbsolute()

### setAbsolute

    public void setAbsolute(boolean absolute)

### hasAnyNodeTest

    public boolean hasAnyNodeTest()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.